[Yandex Cloud documentation](../../../../index.md) > [Yandex Object Storage](../../../index.md) > API reference > [AWS S3 REST](../../index.md) > [REST](../index.md) > Bucket > CreateBucket

# Object Storage API, Amazon S3-compatible REST: CreateBucket

Creates a bucket.

For more information on getting started with the API and the general request format, see [How to use the S3 API](../../index.md).

## Request {#request}

```http
PUT /{bucket} HTTP/2
```

### Path parameters {#path-parameters}

Parameter | Description
----- | -----
`bucket` | Bucket name.<br/><br/>When creating a bucket, follow the bucket [naming guidelines](../../../concepts/bucket.md#naming).

### Headings {#request-headers}
Use [common headers](../common-request-headers.md) in your requests.

The headers below enable you to set the [ACL](../../../concepts/acl.md) for the bucket being created.

Header | Description
--- | ---
`X-Amz-Acl` | Sets [permission types](../../../concepts/acl.md#permissions-types) for a bucket.
`X-Amz-Grant-Read` | Grants the access grantee permission to view the contents of a bucket and read objects in it.
`X-Amz-Grant-Write` | Grants the access grantee object write permission. Make sure to use this header with `X-Amz-Grant-Read`; otherwise, Object Storage will return the `501 Not Implemented` code.
`X-Amz-Grant-Read-Acp` | Grants the access grantee bucket ACL read permission.
`X-Amz-Grant-Write-Acp` | Grants the access grantee bucket ACL write permission.
`X-Amz-Grant-Full-Control` | Grants the access grantee the `READ`, `WRITE`, `READ_ACP`, and `WRITE_ACP` permissions for the bucket.

The value for the `X-Amz-Grant-*` header is a comma-separated list of access grantees. Each access grantee is identified as `<access_grantee_type>:<access_grantee_ID>`. Object Storage supports the following types of access grantees:
* `id`: Access grantee is a cloud user.
* `uri`: Access grantee is a public group.

Example:

```http
X-Amz-Grant-Read: uri="http://acs.amazonaws.com/groups/s3/AuthenticatedUsers"
```

## Response {#response}

### Headers {#response-headers}

Responses can only contain [common headers](../common-response-headers.md).

### Response codes {#response-codes}

For a list of possible responses, see [Responses](../response-codes.md).

A successful response does not contain any additional data.

#### Related articles {#related-articles}

* [Bucket in Object Storage](../../../concepts/bucket.md)

* [Creating a bucket](../../../operations/buckets/create.md)

#### See also {#see-also}

* [Getting started with the AWS S3 API in Yandex Object Storage](../../s3-api-quickstart.md)

* [Debugging requests using the AWS CLI](../../signing-requests.md#debugging)

* [Example of sending a signed request using curl](../../../api-ref/authentication.md#s3-api-example)

* [Code example for generating a signature](../../../concepts/pre-signed-urls.md#code-examples)